*"表題   SHALO 共通 (t-Δt)のデータをセーブ  GCM5(SASAVB)
*
*"履歴   90/08/31 沼口  敦
*"       92/04/03 竹広真一
*"       96/11/13 竹広真一
*
************************************************************************
*"          << (t-Δt)のデータをセーブ >>
************************************************************************
      SUBROUTINE SAVEGB
     I         ( GBU   , GBV   , GBPHI ,
     I           GBVOR , GBDIV           )
*
#if   SYS_IBMS
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GBU   ( IDIM*JDIM*KMAX )    !" 西風  ｕ(t-Δt)
      REAL       GBV   ( IDIM*JDIM*KMAX )    !" 南風  ｖ(t-Δt)
      REAL       GBPHI ( IDIM*JDIM*KMAX )    !" 層厚  φ(t-Δt)
      REAL       GBVOR ( IDIM, JDIM, KMAX )  !" 渦度  ζ(t-Δt)
      REAL       GBDIV ( IDIM, JDIM, KMAX )  !" 発散  Ｄ(t-Δt)
*
      REAL       GBBU  ( IDIM*JDIM*KMAX )    !" 西風  ｕ セーブ値
      REAL       GBBV  ( IDIM*JDIM*KMAX )    !" 南風  ｖ セーブ値
      REAL       GBBPHI( IDIM*JDIM*KMAX )    !" 層厚  φ セーブ値
      REAL       GBBVOR( IDIM*JDIM*KMAX )    !" 渦度  ζ セーブ値
      REAL       GBBDIV( IDIM*JDIM*KMAX )    !" 発散  Ｄ セーブ値
*
      CALL COPY ( GBBU  , GBU   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBV  , GBV   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBPHI, GBPHI , IDIM*JDIM*KMAX )
      CALL COPY ( GBBVOR, GBVOR , IDIM*JDIM*KMAX )
      CALL COPY ( GBBDIV, GBDIV , IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
*"          << (t-Δt)のデータをロード >>
*======================================================================
      ENTRY      LOADGB
     O         ( GBU   , GBV   , GBPHI ,
     O           GBVOR , GBDIV           )
*
      CALL COPY ( GBU   , GBBU  , IDIM*JDIM*KMAX )
      CALL COPY ( GBV   , GBBV  , IDIM*JDIM*KMAX )
      CALL COPY ( GBPHI , GBBPHI, IDIM*JDIM*KMAX )
      CALL COPY ( GBVOR , GBBVOR, IDIM*JDIM*KMAX )
      CALL COPY ( GBDIV , GBBDIV, IDIM*JDIM*KMAX )
*
      RETURN
      END
